<?php
/**
 *
 * phpBB WordPress integration. An extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2022, axew3, http://axew3.com
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

if (!defined('IN_PHPBB'))
{
  exit;
}

if (empty($lang) || !is_array($lang))
{
  $lang = [];
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine
//
// Some characters you may want to copy&paste:
// ’ » “ ” …
//

$lang = array_merge($lang, [
  'ACP_PHPBBWORDPRESS_TITLE'  => 'phpBB WordPress integration',
  'ACP_PHPBBWORDPRESS'      => 'phpBB WordPress Settings',
  'ACP_PHPBBWORDPRESS_NOTES'      => 'Setup phpBB WordPress db connection and preferences',
  'ACP_PHPBBWORDPRESS_OPT'      => 'phpBB WordPress Options',
  'ACP_PHPBBWORDPRESS_SETTING_SAVED'   => '<strong>w3all phpBB WordPress settings updated</strong>',
  'ACP_PHPBBWORDPRESS_CK_USEREXIST'   => 'Check if the username or email exists into the linked WordPress, before to register users in phpBB',
  'ACP_PHPBBWORDPRESS_REDIRECT_AUTOLOG'   => 'Redirect users to the linked WordPress after phpBB autologin (require the above Option <i>WordPress URL</i> set)',
  'ACP_PHPBBWORDPRESS_REDIRECT_AFTERLOG'   => 'Redirect users to the linked WordPress after phpBB login (require the above Option <i>WordPress URL</i> set)',
  'ACP_PHPBBWORDPRESS_UADD_INWP' => 'Add users in WordPress when registration completed in phpBB (note that this option require the above Option <i>WordPress URL</i> set and the <a href="https://wordpress.org/plugins/wp-w3all-phpbb-integration/" target="_blank">wp-w3all-phpbb-integration</a> plugin installed into WordPress or simply will not work)',
  'ACP_PHPBBWORDPRESS_CK_USER_WPBRUTE_REMOVE' => 'Remove the userID from the w3all WordPress bruteforce array, when the user succesfully log in phpBB (this option require the wp-w3all-phpbb-integration plugin installed into WordPress to correctly work, do not activate this option if the integration plugin has not been installed into WP)',
  //'ACP_PHPBBWORDPRESS_REDIRECT_AFTERLOG'   => 'Redirect users to the linked WordPress after phpBB login',
  //'ACP_PHPBBWORDPRESS_REDIRECT_AFTERLOG'   => 'Redirect users to the linked WordPress after phpBB login',
]);
